commit 21dd3e0ae79e8b08d30c0553d19c359127307cc1
Author: freddy77 <freddy77>
Date:   Wed Feb 6 08:28:10 2008 +0000

    use printf instead of fprintf(stdout...)

diff --git a/ChangeLog b/ChangeLog
index f167c34..d6e621a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Wed Feb 06 09:27:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/rpc.c src/odbc/unittests/cursor5.c:
+	* src/odbc/unittests/cursor4.c src/odbc/unittests/cursor3.c:
+	- use printf instead of fprintf(stdout...)
+
 Tue Feb 05 15:59:04 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/unittests/t0007.c:
 	- improve SYBINT8 conversions testing
@@ -139,4 +144,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2483 2008/02/05 15:01:28 freddy77 Exp $
+$Id: ChangeLog,v 1.2484 2008/02/06 08:28:10 freddy77 Exp $
diff --git a/src/odbc/unittests/cursor3.c b/src/odbc/unittests/cursor3.c
index 6ef62c8..5a6849f 100644
--- a/src/odbc/unittests/cursor3.c
+++ b/src/odbc/unittests/cursor3.c
@@ -1,7 +1,7 @@
 /* Tests 2 active statements */
 #include "common.h"
 
-static char software_version[] = "$Id: cursor3.c,v 1.5 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: cursor3.c,v 1.6 2008/02/06 08:28:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -126,14 +126,14 @@ main(int argc, char **argv)
 
 	rcode = SQLGetData(m_hstmt1, 2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLGetData 1");
-	fprintf(stdout, ">> Fetch from 1: [%s]\n", buff);
+	printf(">> Fetch from 1: [%s]\n", buff);
 
 	rcode = SQLFetch(m_hstmt2);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLFetch 2");
 
 	rcode = SQLGetData(m_hstmt2, 2, SQL_C_CHAR, (SQLPOINTER) buff, sizeof(buff), &ind);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLGetData 2");
-	fprintf(stdout, ">> Fetch from 2: [%s]\n", buff);
+	printf(">> Fetch from 2: [%s]\n", buff);
 
 	rcode = SQLCloseCursor(m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLCloseCursor 1");
diff --git a/src/odbc/unittests/cursor4.c b/src/odbc/unittests/cursor4.c
index 363ebfd..c1ac6cd 100755
--- a/src/odbc/unittests/cursor4.c
+++ b/src/odbc/unittests/cursor4.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: cursor4.c,v 1.5 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: cursor4.c,v 1.6 2008/02/06 08:28:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -108,7 +108,7 @@ main(int argc, char **argv)
 	rcode = SQLGetData(m_hstmt1, 1, SQL_C_CHAR, buff, sizeof(buff), &ind);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLGetData");
 
-	fprintf(stdout, ">> New value after update = [%s] (should be [xxx]) \n", buff);
+	printf(">> New value after update = [%s] (should be [xxx]) \n", buff);
 
 	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle 1");
diff --git a/src/odbc/unittests/cursor5.c b/src/odbc/unittests/cursor5.c
index d8c4540..9b300f5 100755
--- a/src/odbc/unittests/cursor5.c
+++ b/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.4 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.5 2008/02/06 08:28:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -47,9 +47,9 @@ doFetch(SQLHSTMT m_hstmt, int dir, int pos)
 
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLFetchScroll");
 	if (rcode != SQL_NO_DATA)
-		fprintf(stdout, ">> fetch %2d %10d : %d [%s]\n", dir, pos, v_ind_3_1 ? (int) v_int_3 : -1, v_ind_3_2 ? v_char_3 : "null");
+		printf(">> fetch %2d %10d : %d [%s]\n", dir, pos, v_ind_3_1 ? (int) v_int_3 : -1, v_ind_3_2 ? v_char_3 : "null");
 	else
-		fprintf(stdout, ">> fetch %2d %10d : no data found\n", dir, pos);
+		printf(">> fetch %2d %10d : no data found\n", dir, pos);
 }
 
 int
diff --git a/src/odbc/unittests/rpc.c b/src/odbc/unittests/rpc.c
index 5543dd4..23d8436 100644
--- a/src/odbc/unittests/rpc.c
+++ b/src/odbc/unittests/rpc.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: rpc.c,v 1.8 2007/11/26 06:25:11 freddy77 Exp $";
+static char software_version[] = "$Id: rpc.c,v 1.9 2008/02/06 08:28:10 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char procedure_sql[] = 
@@ -38,7 +38,7 @@ init_proc(const char *name)
 	static char cmd[4096];
 
 	if (name[0] != '#') {
-		fprintf(stdout, "Dropping procedure %s\n", name);
+		printf("Dropping procedure %s\n", name);
 		sprintf(cmd, "if exists (select 1 from sysobjects where name = '%s' and type = 'P') "
 				"DROP PROCEDURE %s", name, name);
 		if (!SQL_SUCCEEDED(SQLExecDirect(Statement, (SQLCHAR *) cmd, SQL_NTS))) {
@@ -47,14 +47,14 @@ init_proc(const char *name)
 		}
 	}
 
-	fprintf(stdout, "Creating procedure %s\n", name);
+	printf("Creating procedure %s\n", name);
 	sprintf(cmd, procedure_sql, name);
 
 	if (!SQL_SUCCEEDED(SQLExecDirect(Statement, (SQLCHAR *) cmd, SQL_NTS))) {
 		if (name[0] == '#')
-			fprintf(stdout, "Failed to create procedure %s. Wrong permission or not MSSQL.\n", name);
+			printf("Failed to create procedure %s. Wrong permission or not MSSQL.\n", name);
 		else
-			fprintf(stdout, "Failed to create procedure %s. Wrong permission.\n", name);
+			printf("Failed to create procedure %s. Wrong permission.\n", name);
 		CheckReturn();
 		exit(1);
 	}

